Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3420)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3337 2018-10-12 15:17:09Z kanani
 ! (from branch resler)
 ! Add biometeorology,
@@ -331,5 +334,5 @@
                 e_av = 0.0_wp
 
-             CASE ( 'lpt' )
+             CASE ( 'thetal' )
                 IF ( .NOT. ALLOCATED( lpt_av ) )  THEN
                    ALLOCATE( lpt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -367,5 +370,5 @@
                 pr_av = 0.0_wp
 
-             CASE ( 'pt' )
+             CASE ( 'theta' )
                 IF ( .NOT. ALLOCATED( pt_av ) )  THEN
                    ALLOCATE( pt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -457,5 +460,5 @@
                 u_av = 0.0_wp
 
-             CASE ( 'u*' )
+             CASE ( 'us*' )
                 IF ( .NOT. ALLOCATED( us_av ) )  THEN
                    ALLOCATE( us_av(nysg:nyng,nxlg:nxrg) )
@@ -469,5 +472,5 @@
                 v_av = 0.0_wp
 
-             CASE ( 'vpt' )
+             CASE ( 'thetav' )
                 IF ( .NOT. ALLOCATED( vpt_av ) )  THEN
                    ALLOCATE( vpt_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -609,5 +612,5 @@
              ENDIF
 
-          CASE ( 'lpt' )
+          CASE ( 'thetal' )
              IF ( ALLOCATED( lpt_av ) ) THEN
                 DO  i = nxlg, nxrg
@@ -712,5 +715,5 @@
              ENDIF
 
-          CASE ( 'pt' )
+          CASE ( 'theta' )
              IF ( ALLOCATED( pt_av ) ) THEN
                 IF ( .NOT. bulk_cloud_model ) THEN
@@ -1005,5 +1008,5 @@
              ENDIF
 
-          CASE ( 'u*' )
+          CASE ( 'us*' )
              IF ( ALLOCATED( us_av ) ) THEN   
                 DO  i = nxl, nxr
@@ -1044,5 +1047,5 @@
              ENDIF
 
-          CASE ( 'vpt' )
+          CASE ( 'thetav' )
              IF ( ALLOCATED( vpt_av ) ) THEN 
                 DO  i = nxlg, nxrg
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 3420)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Surface data output
+! 
+! 3418 2018-10-24 16:07:39Z kanani
 ! call to material_heat_model now with check if spinup runs (rvtils)
 ! 
@@ -432,6 +435,7 @@
                skip_time_do2d_xy, skip_time_do2d_xz, skip_time_do2d_yz,        &
                skip_time_do3d, skip_time_domask, skip_time_dopr,               &
-               skip_time_data_output_av, sloping_surface,                      &
-               stop_dt, terminate_coupled, terminate_run, timestep_scheme,     &
+               skip_time_data_output_av, sloping_surface, stop_dt,             &
+               surface_data_output, terminate_coupled, terminate_run,          &
+               timestep_scheme,                                                &
                time_coupling, time_do2d_xy, time_do2d_xz, time_do2d_yz,        &
                time_do3d, time_domask, time_dopr, time_dopr_av,                &
@@ -519,4 +523,10 @@
     USE surface_mod,                                                           &
         ONLY:  surf_def_h, surf_lsm_h, surf_usm_h
+        
+    USE surface_output_mod,                                                    &
+        ONLY:  average_count_surf, averaging_interval_surf, dt_dosurf,         &
+               dt_dosurf_av, surface_output, surface_output_averaging,         &
+               skip_time_dosurf, skip_time_dosurf_av, time_dosurf,             &
+               time_dosurf_av
 
     USE turbulence_closure_mod,                                                &
@@ -1235,4 +1245,14 @@
        time_run_control   = time_run_control + dt_3d
 !
+!--    Increment time-counter for surface output
+       IF ( surface_data_output )  THEN
+          IF ( simulated_time >= skip_time_dosurf )  THEN
+             time_dosurf    = time_dosurf + dt_3d
+          ENDIF
+          IF ( simulated_time >= skip_time_dosurf_av )  THEN
+             time_dosurf_av = time_dosurf_av + dt_3d
+          ENDIF
+       ENDIF
+!
 !--    In case of synthetic turbulence generation and parametrized turbulence
 !--    information, update the time counter and if required, adjust the 
@@ -1324,4 +1344,16 @@
              average_count_3d = average_count_3d + 1
              time_do_sla = MOD( time_do_sla, MAX( dt_averaging_input, dt_3d ) )
+          ENDIF
+       ENDIF
+!
+!--    Average surface data
+       IF ( surface_data_output )  THEN
+          IF ( averaging_interval_surf /= 0.0_wp  .AND.                        & 
+               ( dt_dosurf_av - time_dosurf_av ) <= averaging_interval_surf    &
+          .AND.  simulated_time >= skip_time_dosurf_av )  THEN
+             IF ( time_dosurf_av >= dt_averaging_input )  THEN        
+                CALL surface_output_averaging
+                average_count_surf = average_count_surf + 1
+             ENDIF
           ENDIF
        ENDIF
@@ -1424,4 +1456,16 @@
           time_do_av = MOD( time_do_av, MAX( dt_data_output_av, dt_3d ) )
        ENDIF
+!
+!--    Output of surface data, instantaneous and averaged data
+       IF ( surface_data_output )  THEN
+          IF ( time_dosurf >= dt_dosurf )  THEN
+             CALL surface_output( 0 )
+             time_dosurf = MOD( time_dosurf, MAX( dt_dosurf, dt_3d ) )
+          ENDIF
+          IF ( time_dosurf_av >= dt_dosurf_av )  THEN
+             CALL surface_output( 1 )
+             time_dosurf_av = MOD( time_dosurf_av, MAX( dt_dosurf_av, dt_3d ) )
+          ENDIF
+       ENDIF
 
 !
Index: /palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/user_spectra.f90	(revision 3420)
+++ /palm/trunk/SOURCE/user_spectra.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3049 2018-05-29 13:52:36Z Giersch
 ! Error messages revised
 ! 
@@ -105,5 +108,5 @@
        SELECT CASE ( TRIM( data_output_sp(m) ) )
           
-          CASE ( 'u', 'v', 'w', 'pt', 'q', 's' )
+          CASE ( 'u', 'v', 'w', 'theta', 'q', 's' )
 !--          Not allowed here since these are the standard quantities used in 
 !--          preprocess_spectra.
@@ -124,5 +127,5 @@
        SELECT CASE ( TRIM( data_output_sp(m) ) )
 
-          CASE ( 'u', 'v', 'w', 'pt', 'q', 's' )
+          CASE ( 'u', 'v', 'w', 'theta', 'q', 's' )
 !--          Not allowed here since these are the standard quantities used in 
 !--          data_output_spectra.
Index: /palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3420)
+++ /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3421)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed output variables
+! 
+! 3274 2018-09-24 15:42:55Z knoop
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -496,5 +499,5 @@
                 k             = k + 1
              ELSEIF ( i == id_pt )  THEN       
-                dofl_label(k) = TRIM( label_leg ) // '_pt'
+                dofl_label(k) = TRIM( label_leg ) // '_theta'
                 dofl_unit(k)  = 'K'
                 k             = k + 1
Index: /palm/trunk/TESTS/cases/example_cbl/INPUT/example_cbl_p3d
===================================================================
--- /palm/trunk/TESTS/cases/example_cbl/INPUT/example_cbl_p3d	(revision 3420)
+++ /palm/trunk/TESTS/cases/example_cbl/INPUT/example_cbl_p3d	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: /palm/trunk/TESTS/cases/example_cbl_restart/INPUT/example_cbl_restart_p3dr
===================================================================
--- /palm/trunk/TESTS/cases/example_cbl_restart/INPUT/example_cbl_restart_p3dr	(revision 3420)
+++ /palm/trunk/TESTS/cases/example_cbl_restart/INPUT/example_cbl_restart_p3dr	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: /palm/trunk/TESTS/cases/example_cbl_restart2/INPUT/example_cbl_restart2_p3dr
===================================================================
--- /palm/trunk/TESTS/cases/example_cbl_restart2/INPUT/example_cbl_restart2_p3dr	(revision 3420)
+++ /palm/trunk/TESTS/cases/example_cbl_restart2/INPUT/example_cbl_restart2_p3dr	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: /palm/trunk/TESTS/cases/example_cbl_short/INPUT/example_cbl_short_p3d
===================================================================
--- /palm/trunk/TESTS/cases/example_cbl_short/INPUT/example_cbl_short_p3d	(revision 3420)
+++ /palm/trunk/TESTS/cases/example_cbl_short/INPUT/example_cbl_short_p3d	(revision 3421)
@@ -74,10 +74,10 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt', 'w"pt"', 'w*pt*',
+    data_output_pr             = 'wtheta', 'w"theta"', 'w*theta*',
                                  'w*2',
-                                 '#pt', 'pt*2',
+                                 '#theta', 'theta*2',
 
     section_xy                 = 2,
Index: /palm/trunk/TESTS/cases/example_cbl_user_code/INPUT/example_cbl_user_code_p3d
===================================================================
--- /palm/trunk/TESTS/cases/example_cbl_user_code/INPUT/example_cbl_user_code_p3d	(revision 3420)
+++ /palm/trunk/TESTS/cases/example_cbl_user_code/INPUT/example_cbl_user_code_p3d	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: /palm/trunk/TESTS/cases/urban_environment/INPUT/urban_environment_p3d
===================================================================
--- /palm/trunk/TESTS/cases/urban_environment/INPUT/urban_environment_p3d	(revision 3420)
+++ /palm/trunk/TESTS/cases/urban_environment/INPUT/urban_environment_p3d	(revision 3421)
@@ -91,5 +91,5 @@
                             '#v',  'v*2',  'wv',  'w*v*',  'w"v"',
                             'w',   'w*2',
-                            '#pt', 'pt*2', 'wpt', 'w*pt*', 'w"pt"',
+                            '#theta', 'theta*2', 'wtheta', 'w*theta*', 'w"theta"',
                             '#q',  'q*2',
                             'e', 'e*', '#km', '#l',
@@ -111,5 +111,5 @@
                   'v',  'v_av',
                   'w',  'w_av',
-                  'pt', 'pt_av',
+                  'theta', 'theta_av',
                   'q',  'q_av',
                   'e',  'e_av',
@@ -119,5 +119,5 @@
                   'shf*_xy', 'shf*_xy_av',
                   'ghf*_xy', 'ghf*_xy_av',
-                  'u*_xy', 'z0*_xy',
+                  'us*_xy', 'z0*_xy',
                   't*_xy', 'ol*_xy',
                   'm_liq*_xy',
Index: /palm/trunk/TESTS/cases/urban_environment_restart/INPUT/urban_environment_restart_p3dr
===================================================================
--- /palm/trunk/TESTS/cases/urban_environment_restart/INPUT/urban_environment_restart_p3dr	(revision 3420)
+++ /palm/trunk/TESTS/cases/urban_environment_restart/INPUT/urban_environment_restart_p3dr	(revision 3421)
@@ -91,5 +91,5 @@
                             '#v',  'v*2',  'wv',  'w*v*',  'w"v"',
                             'w',   'w*2',
-                            '#pt', 'pt*2', 'wpt', 'w*pt*', 'w"pt"',
+                            '#theta', 'theta*2', 'wtheta', 'w*theta*', 'w"theta"',
                             '#q',  'q*2',
                             'e', 'e*', '#km', '#l',
@@ -111,5 +111,5 @@
                   'v',  'v_av',
                   'w',  'w_av',
-                  'pt', 'pt_av',
+                  'theta', 'theta_av',
                   'q',  'q_av',
                   'e',  'e_av',
@@ -119,5 +119,5 @@
                   'shf*_xy', 'shf*_xy_av',
                   'ghf*_xy', 'ghf*_xy_av',
-                  'u*_xy', 'z0*_xy',
+                  'us*_xy', 'z0*_xy',
                   't*_xy', 'ol*_xy',
                   'm_liq*_xy',
